Subject: [bug#48501] [PATCH] daemon: Replace Unicode single quotes with poor simulacra.

From: Maxime Devos <[email-masked]>
Date: Tue, 18 May 2021 19:13:56 +0200

Tobias Geerinckx-Rice via Guix-patches via schreef op di 18-05-2021 om 18:34 [+0200]:
> The correct ‘ and ’ are not considered word boundaries by some(?)
> terminal emulators like Alacritty, making double-click selection
> tedious.  Avoid them in untranslated strings like it's 1992.

N months later, while Tobias Geerinckx-Rice is asleep, a new patch appears:

Typographically Correct via Guix-patches [...]
> It isn't 1992 anymore; the proper ‘ and ’ quotation marks are now
> well-supported in software.  Use the typographically-correct ‘ and ’
> in the English translation instead of the unrelated characters ` and '.
>
> [...]

FWIW, double-click seems to work well in Emacs, Gnome Terminal.
Instead of working-around bugs, can ‘we’ fix the bug in Alacritty?
Or at least, open a bug report?

Unfortunately, GitHub's TOS and Privacy Policy were ... not great
last time I checked, though I can't find the ‘badness’ anymore except
for some weird section on ‘idemnity’.  In any case, there is an #alacritty
channel:

<https://github.com/alacritty/alacritty/blob/master/CONTRIBUTING.md#contact>

Greetings,
Maxime.